Subject: Re: [bug#57608] Upstreaming KDE Plasma and rest of packages

From: Marek Paśnikowski <[email-masked]>
Date: Mon, 10 Oct 2022 13:03:25 +0000

It's me again, with a build report of this version of patches.
This time it is very short, because there is no visible change in
state of (plasma-desktop-service-type).

The whole set of changes got built, with one irregularity.
Like previously, gnome-keyring failed in its 'check' phase.
I decided to bisect that after completing the Plasma Desktop on its
own.
I commented out both the Plasma and Gnome declarations
and bisected,
and declared installation of "gnome-keyring" package.
It kept building fine up to the git HEAD.
That was weird, so I tried bisecting the whole
(gnome-desktop-service-type).
This also built fine.
At this point, adding the (plasma-desktop-service-type) was
also fine, and now I have everything built just fine.

The commit used is "a4d236529c260d27998ee48cd969fa52bfd3d62e".

The branch used is "patch/plasma".

I have no idea why the previously failing test suddenly passed.
Should I report this weird behavior as an another issue?